ALTER TABLE agents RENAME TO _agents;

CREATE TABLE agents
(
    id INTEGER PRIMARY KEY,
    thumbprint TEXT UNIQUE,
    keyset TEXT,
    metadata TEXT,
    status INTEGER NOT NULL,
    created_at datetime NOT NULL,
    updated_at datetime NOT NULL,
    label TEXT DEFAULT "",
    contacted_at datetime
);

INSERT INTO agents SELECT id, thumbprint, keyset, metadata, status, created_at, updated_at, label, contacted_at FROM _agents;
DROP TABLE _agents;

---

ALTER TABLE specs RENAME TO _specs;

CREATE TABLE specs
(
    id INTEGER PRIMARY KEY,
    thumbprint TEXT UNIQUE,
    keyset TEXT,
    metadata TEXT,
    status INTEGER NOT NULL,
    created_at datetime NOT NULL,
    updated_at datetime NOT NULL,
    label TEXT DEFAULT ""
);

INSERT INTO specs SELECT id, agent_id, name, revision, data, created_at, updated_at FROM _specs;
DROP TABLE _specs;

---

DROP TABLE tenants;

